%global gem_name simple_form

Name: rubygem-%{gem_name}
Version: 3.2.1
Release: 1%{?dist}
Summary: Flexible and powerful components to create forms
Group: Development/Languages
License: MIT
URL: https://github.com/plataformatec/simple_form
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# Fix some issues with Rails 5.0 stable.
# https://github.com/plataformatec/simple_form/commit/1a72dffc37f556acdc4b85c83477b8a300d92309
Patch0: rubygem-simple_form-3.2.1-Add-support-for-Rails-5.patch
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# Test suite needs the following dependencies
BuildRequires: rubygem(minitest) >= 5.0
BuildRequires: rubygem(railties)
BuildRequires: rubygem(activemodel)
BuildArch: noarch

%description
SimpleForm aims to be as flexible as possible while helping you with powerful
components to create your forms. The basic goal of SimpleForm is to not touch
your way of defining the layout, letting you find the better design for your
eyes.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%patch0 -p1

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


# Fix presmissions.
# https://github.com/plataformatec/simple_form/pull/1414
chmod a-x %{buildroot}%{gem_libdir}/generators/simple_form/templates/config/initializers/simple_form_bootstrap.rb

%check
pushd .%{gem_instdir}
# Get rid of Bundler.
sed -i "/require 'bundler\/setup'/ s/^/#/" test/test_helper.rb

# The following test cases require rubygem-country_select which is not packaged
# for Fedora, so commenting it out
sed -i "/require 'country_select'/ s/^/#/" test/test_helper.rb
sed -i "/test 'builder generates country fields for columns that matches country' do/,/^  end$/ s/^/#/" test/form_builder/general_test.rb
sed -i "/test 'input generates a country select field' do/,/^  end$/ s/^/#/" test/inputs/priority_input_test.rb
sed -i "/test 'input generates a country select with SimpleForm default' do/,/^  end$/ s/^/#/" test/inputs/priority_input_test.rb
sed -i "/test 'priority input does not generate invalid required html attribute' do/,/^  end$/ s/^/#/" test/inputs/priority_input_test.rb
sed -i "/test 'priority input does not generate invalid aria-required html attribute' do/,/^  end$/ s/^/#/" test/inputs/priority_input_test.rb

ruby -Ilib:test -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd


%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/test

%changelog
* Mon Aug 08 2016 Vít Ondruch <vondruch@redhat.com> - 3.2.1-1
- Updte to simple_form 3.2.1.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-0.2.rc2.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-0.2.rc2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Oct 08 2014 Josef Stribny <jstribny@redhat.com> - 3.1.0-0.1.rc2
- Update to 3.1.0.rc2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-0.2.rc.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 19 2013 Josef Stribny <jstribny@redhat.com> - 3.0.0-0.1.rc
- Update to simple_form 3.0.0.rc

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 18 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 2.0.3-3
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 21 2012 Imre Farkas <ifarkas@redhat.com> - 2.0.3-1
- Initial package
